#include "chdecl.h"
void CH_codegen_cgator(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c54;
    case 4: goto c89;
    case 5: goto c116;
    case 6: goto c118;
    case 7: goto c123;
    case 8: goto c199;
    case 9: goto c208;
    case 10: goto c210;
    case 11: goto c212;
    case 12: goto c280;
    case 13: goto c291;
    case 14: goto c352;
    case 15: goto c411;
    case 16: goto c465;
    case 17: goto c481;
    case 18: goto c483;
    case 19: goto c484;
    case 20: goto c487;
    case 21: goto c491;
    case 22: goto c493;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* copy 4 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = & dr_table;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
/* ilit 6 , 0 */
  REF(6).value.integer = 0;
  REF(6).tsdr = & dr_integer;
/* ilit 7 , 0 */
  REF(7).value.integer = 0;
  REF(7).tsdr = & dr_integer;
/* boolean 8 , FALSE */
  REF(8).value.boolean = FALSE;
  REF(8).tsdr = & dr_boolean;
/* ilit 9 , 0 */
  REF(9).value.integer = 0;
  REF(9).tsdr = & dr_integer;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 10 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(10).value,0);
  REF(10).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* rlit 12 , 1.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(12).value.real = ch_real;
  REF(12).tsdr = & dr_real;*ch_real = 1.0;
/* equal . 11 =(45) , 39 */
  if ( REF(11).value.ord_enum == 45 ) goto c39;
/* equal . 11 =(43) , 46 */
  if ( REF(11).value.ord_enum == 43 ) goto c46;
/* branch , 51 */
   goto c51;
c39:
/* rnegate 12 12 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(12).value.real = ch_real;
  REF(12).tsdr = & dr_real;*ch_real = - *REF(12).value.real;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 13 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(13).value,0);
  REF(13).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 51 */
   goto c51;
c46:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 14 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(14).value,0);
  REF(14).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
c51:
/* ilit 15 , 0 */
  REF(15).value.integer = 0;
  REF(15).tsdr = & dr_integer;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
c54:
/* noop */
  
/* equal . 11 =(101) , 62 */
  if ( REF(11).value.ord_enum == 101 ) goto c62;
/* equal . 11 =(46) , 118 */
  if ( REF(11).value.ord_enum == 46 ) goto c118;
/* branch , 123 */
   goto c123;
c62:
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 16 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(16).value,0);
  REF(16).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* ilit 17 , 1 */
  REF(17).value.integer = 1;
  REF(17).tsdr = & dr_integer;
/* equal . 11 =(45) , 75 */
  if ( REF(11).value.ord_enum == 45 ) goto c75;
/* equal . 11 =(43) , 82 */
  if ( REF(11).value.ord_enum == 43 ) goto c82;
/* branch , 87 */
   goto c87;
c75:
/* inegate 17 17 */
  REF(17).value.integer = -REF(17).value.integer;
  REF(17).tsdr = & dr_integer;
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 18 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(18).value,0);
  REF(18).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 87 */
   goto c87;
c82:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 19 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(19).value,0);
  REF(19).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
c87:
/* ilit 20 , 0 */
  REF(20).value.integer = 0;
  REF(20).tsdr = & dr_integer;
c89:
/* noop */
  
/* oecvt_int 21 11 */
  REF(21).value.integer = REF(11).value.ord_enum;
  REF(21).tsdr = & dr_integer;
/* isubtract 22 21 =(48) */
  if (!chf_isubtract(DEF(22),REF(21).value.integer,48)) goto ch_depletion;
/* ilt 23 22 =(0) */
  REF(23).value.boolean = (REF(22).value.integer < 0);
/* ige 24 22 =(10) */
  REF(24).value.boolean = (REF(22).value.integer >= 10);
/* or 25 23 24 */
  REF(25).value.boolean = REF(23).value.boolean|REF(24).value.boolean;
  REF(25).tsdr = & dr_boolean;
/* branch_false 25 , 99 */
  if ( !REF(25).value.boolean ) goto c99;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c99:
/* imultiply 26 =(10) 20 */
  if (!chf_imultiply(DEF(26),10,REF(20).value.integer)) goto ch_depletion;
/* iadd 20 26 22 */
  if (!chf_iadd(DEF(20),REF(26).value.integer,REF(22).value.integer))
     goto ch_depletion;
/* size 27 4 */
  REF(27).value.integer = REF(4).value.table->size;
  REF(27).tsdr = & dr_integer;
/* notequal . 27 =(0) , 109 */
  if ( REF(27).value.integer != 0 ) goto c109;
/* imultiply 28 17 20 */
  if (!chf_imultiply(DEF(28),REF(17).value.integer,REF(20).value.integer))
     goto ch_depletion;
/* iadd 9 9 28 */
  if (!chf_iadd(DEF(9),REF(9).value.integer,REF(28).value.integer))
     goto ch_depletion;
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c109:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 29 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(29).value,0);
  REF(29).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 89 */
   goto c89;
c114:
/* endblock */
  che_endblock(sched);
/* branch , 199 */
   goto c199;
c116:
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c118:
/* branch_false 8 , 120 */
  if ( !REF(8).value.boolean ) goto c120;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c120:
/* boolean 8 , TRUE */
  REF(8).value.boolean = TRUE;
  REF(8).tsdr = & dr_boolean;
/* branch , 199 */
   goto c199;
c123:
/* oecvt_int 30 11 */
  REF(30).value.integer = REF(11).value.ord_enum;
  REF(30).tsdr = & dr_integer;
/* isubtract 22 30 =(48) */
  if (!chf_isubtract(DEF(22),REF(30).value.integer,48)) goto ch_depletion;
/* ile 31 =(0) 22 */
  REF(31).value.boolean = (0 <= REF(22).value.integer);
/* ile 32 22 =(10) */
  REF(32).value.boolean = (REF(22).value.integer <= 10);
/* and 33 31 32 */
  REF(33).value.boolean = REF(31).value.boolean&REF(32).value.boolean;
  REF(33).tsdr = & dr_boolean;
/* branch_false 33 , 191 */
  if ( !REF(33).value.boolean ) goto c191;
/* notequal . 15 =(0) , 144 */
  if ( REF(15).value.integer != 0 ) goto c144;
/* imultiply 34 =(10) 5 */
  if (!chf_imultiply(DEF(34),10,REF(5).value.integer)) goto ch_depletion;
/* iadd 5 34 22 */
  if (!chf_iadd(DEF(5),REF(34).value.integer,REF(22).value.integer))
     goto ch_depletion;
/* ilt . 5 =(16777216) , 187 */
  if ( REF(5).value.integer < 16777216 ) goto c187;
/* idivide 6 5 =(16777216) */
  REF(6).value.integer = REF(5).value.integer/16777216;
  REF(6).tsdr = & dr_integer;
/* imod 5 5 =(16777216) */
  if (!chf_imod(DEF(5),REF(5).value.integer,16777216)) goto ch_depletion;
/* ilit 15 , 1 */
  REF(15).value.integer = 1;
  REF(15).tsdr = & dr_integer;
/* branch , 187 */
   goto c187;
c144:
/* noop */
  
/* notequal . 15 =(3) , 150 */
  if ( REF(15).value.integer != 3 ) goto c150;
/* iadd 9 9 =(1) */
  if (!chf_iadd(DEF(9),REF(9).value.integer,1)) goto ch_depletion;
/* branch , 187 */
   goto c187;
c150:
/* imultiply 35 =(10) 5 */
  if (!chf_imultiply(DEF(35),10,REF(5).value.integer)) goto ch_depletion;
/* iadd 5 35 22 */
  if (!chf_iadd(DEF(5),REF(35).value.integer,REF(22).value.integer))
     goto ch_depletion;
/* idivide 22 5 =(16777216) */
  REF(22).value.integer = REF(5).value.integer/16777216;
  REF(22).tsdr = & dr_integer;
/* imod 5 5 =(16777216) */
  if (!chf_imod(DEF(5),REF(5).value.integer,16777216)) goto ch_depletion;
/* imultiply 36 =(10) 6 */
  if (!chf_imultiply(DEF(36),10,REF(6).value.integer)) goto ch_depletion;
/* iadd 6 36 22 */
  if (!chf_iadd(DEF(6),REF(36).value.integer,REF(22).value.integer))
     goto ch_depletion;
/* notequal . 15 =(1) , 171 */
  if ( REF(15).value.integer != 1 ) goto c171;
/* ilt . 6 =(16777216) , 187 */
  if ( REF(6).value.integer < 16777216 ) goto c187;
/* idivide 7 6 =(16777216) */
  REF(7).value.integer = REF(6).value.integer/16777216;
  REF(7).tsdr = & dr_integer;
/* imod 6 6 =(16777216) */
  if (!chf_imod(DEF(6),REF(6).value.integer,16777216)) goto ch_depletion;
/* ilit 15 , 2 */
  REF(15).value.integer = 2;
  REF(15).tsdr = & dr_integer;
/* branch , 187 */
   goto c187;
c171:
/* idivide 22 6 =(16777216) */
  REF(22).value.integer = REF(6).value.integer/16777216;
  REF(22).tsdr = & dr_integer;
/* imod 6 6 =(16777216) */
  if (!chf_imod(DEF(6),REF(6).value.integer,16777216)) goto ch_depletion;
/* imultiply 37 =(10) 7 */
  if (!chf_imultiply(DEF(37),10,REF(7).value.integer)) goto ch_depletion;
/* iadd 7 37 22 */
  if (!chf_iadd(DEF(7),REF(37).value.integer,REF(22).value.integer))
     goto ch_depletion;
/* ilt . 7 =(16777216) , 187 */
  if ( REF(7).value.integer < 16777216 ) goto c187;
/* idivide 7 7 =(10) */
  REF(7).value.integer = REF(7).value.integer/10;
  REF(7).tsdr = & dr_integer;
/* iadd 9 9 =(1) */
  if (!chf_iadd(DEF(9),REF(9).value.integer,1)) goto ch_depletion;
/* ilit 15 , 3 */
  REF(15).value.integer = 3;
  REF(15).tsdr = & dr_integer;
c187:
/* branch_false 8 , 199 */
  if ( !REF(8).value.boolean ) goto c199;
/* isubtract 9 9 =(1) */
  if (!chf_isubtract(DEF(9),REF(9).value.integer,1)) goto ch_depletion;
/* branch , 199 */
   goto c199;
c191:
/* noop */
  
/* notequal . 11 =(69) , 198 */
  if ( REF(11).value.ord_enum != 69 ) goto c198;
/* ordenum_lit 38 , 101 */
  REF(38).value.ord_enum = 101;
  REF(38).tsdr = & dr_ord_enumeration;
/* insert_at 4 38 =(0) */
  if ((ch_returncode = insertfunc(DEF(4),DEF(38),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* branch , 199 */
   goto c199;
c198:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c199:
/* size 39 4 */
  REF(39).value.integer = REF(4).value.table->size;
  REF(39).tsdr = & dr_integer;
/* notequal . 39 =(0) , 203 */
  if ( REF(39).value.integer != 0 ) goto c203;
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c203:
/* privatize 4 */
  if (REF(4).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(4))) != Normal)
       goto ch_raise_exception;
/* lookup_at 40 4 =(0) */
  if ( !((ch_t = REF(4).value.table)->size) ) goto ch_notfound;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(40).value,0);
  REF(40).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 11 4 =(0) */
  if ((ch_returncode = remove_at_func(DEF(11),DEF(4),0)) != Normal)
     goto ch_raise_exception;
/* branch , 54 */
   goto c54;
c208:
/* endblock */
  che_endblock(sched);
/* branch , 212 */
   goto c212;
c210:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c212:
/* noop */
  
/* notequal . 9 =(0) , 225 */
  if ( REF(9).value.integer != 0 ) goto c225;
/* icvt_real 41 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(41).value.real = ch_real;
  REF(41).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* rmultiply 42 =(1.67772e+07) 41 */
  if (!chf_rmultiply(DEF(42),1.67772e+07,*REF(41).value.real))
     goto ch_depletion;
/* icvt_real 43 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(43).value.real = ch_real;
  REF(43).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* radd 44 42 43 */
  if (!chf_radd(DEF(44),*REF(42).value.real,*REF(43).value.real))
     goto ch_depletion;
/* rmultiply 45 =(1.67772e+07) 44 */
  if (!chf_rmultiply(DEF(45),1.67772e+07,*REF(44).value.real))
     goto ch_depletion;
/* icvt_real 46 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(46).value.real = ch_real;
  REF(46).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* radd 3.1 45 46 */
  if (!chf_radd(DEF(3)DOT(1),*REF(45).value.real,*REF(46).value.real))
     goto ch_depletion;
/* branch , 484 */
   goto c484;
c225:
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 15 =(1) , 234 */
  if ( REF(15).value.integer == 1 ) goto c234;
/* equal . 15 =(0) , 241 */
  if ( REF(15).value.integer == 0 ) goto c241;
/* branch , 248 */
   goto c248;
c234:
/* ilit 47 , -24 */
  REF(47).value.integer = -24;
  REF(47).tsdr = & dr_integer;
/* move 7 6 */
  REF(7) = REF(6);
  REF(6).tsdr = & dr_bottom;
/* move 6 5 */
  REF(6) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
/* branch , 250 */
   goto c250;
c241:
/* imultiply 48 =(2) =(24) */
  if (!chf_imultiply(DEF(48),2,24)) goto ch_depletion;
/* inegate 47 48 */
  REF(47).value.integer = -REF(48).value.integer;
  REF(47).tsdr = & dr_integer;
/* move 7 5 */
  REF(7) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* ilit 5 , 0 */
  REF(5).value.integer = 0;
  REF(5).tsdr = & dr_integer;
/* branch , 250 */
   goto c250;
c248:
/* ilit 47 , 0 */
  REF(47).value.integer = 0;
  REF(47).tsdr = & dr_integer;
c250:
/* notequal . 7 =(0) , 255 */
  if ( REF(7).value.integer != 0 ) goto c255;
/* rlit 3.1 , 0.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(3)DOT(1).value.real = ch_real;
  REF(3)DOT(1).tsdr = & dr_real;*ch_real = 0.0;
/* branch , 481 */
   goto c481;
c255:
/* ile . 9 =(0) , 266 */
  if ( REF(9).value.integer <= 0 ) goto c266;
/* ilit 49 , 10485760 */
  REF(49).value.integer = 10485760;
  REF(49).tsdr = & dr_integer;
/* ilit 50 , 0 */
  REF(50).value.integer = 0;
  REF(50).tsdr = & dr_integer;
/* ilit 51 , 0 */
  REF(51).value.integer = 0;
  REF(51).tsdr = & dr_integer;
/* ilit 52 , 4 */
  REF(52).value.integer = 4;
  REF(52).tsdr = & dr_integer;
/* branch , 276 */
   goto c276;
c266:
/* inegate 9 9 */
  REF(9).value.integer = -REF(9).value.integer;
  REF(9).tsdr = & dr_integer;
/* ilit 49 , 13421772 */
  REF(49).value.integer = 13421772;
  REF(49).tsdr = & dr_integer;
/* ilit 50 , 13421772 */
  REF(50).value.integer = 13421772;
  REF(50).tsdr = & dr_integer;
/* ilit 51 , 13421772 */
  REF(51).value.integer = 13421772;
  REF(51).tsdr = & dr_integer;
/* ilit 52 , -3 */
  REF(52).value.integer = -3;
  REF(52).tsdr = & dr_integer;
c276:
/* noop */
  
/* idivide 53 =(16777216) =(2) */
  REF(53).value.integer = 16777216/2;
  REF(53).tsdr = & dr_integer;
c280:
/* equal . 9 =(0) , 411 */
  if ( REF(9).value.integer == 0 ) goto c411;
/* icvt_real 54 49 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(54).value.real = ch_real;
  REF(54).tsdr = & dr_real;*ch_real = REF(49).value.integer;
/* icvt_real 55 50 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(55).value.real = ch_real;
  REF(55).tsdr = & dr_real;*ch_real = REF(50).value.integer;
/* icvt_real 56 51 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(56).value.real = ch_real;
  REF(56).tsdr = & dr_real;*ch_real = REF(51).value.integer;
/* imod 57 9 =(2) */
  if (!chf_imod(DEF(57),REF(9).value.integer,2)) goto ch_depletion;
/* equal . 57 =(0) , 352 */
  if ( REF(57).value.integer == 0 ) goto c352;
c291:
/* ige . 7 53 , 310 */
  if ( REF(7).value.integer >= REF(53).value.integer ) goto c310;
/* imultiply 5 =(2) 5 */
  if (!chf_imultiply(DEF(5),2,REF(5).value.integer)) goto ch_depletion;
/* imultiply 58 =(2) 6 */
  if (!chf_imultiply(DEF(58),2,REF(6).value.integer)) goto ch_depletion;
/* idivide 59 5 =(16777216) */
  REF(59).value.integer = REF(5).value.integer/16777216;
  REF(59).tsdr = & dr_integer;
/* iadd 6 58 59 */
  if (!chf_iadd(DEF(6),REF(58).value.integer,REF(59).value.integer))
     goto ch_depletion;
/* imultiply 60 =(2) 7 */
  if (!chf_imultiply(DEF(60),2,REF(7).value.integer)) goto ch_depletion;
/* idivide 61 6 =(16777216) */
  REF(61).value.integer = REF(6).value.integer/16777216;
  REF(61).tsdr = & dr_integer;
/* iadd 7 60 61 */
  if (!chf_iadd(DEF(7),REF(60).value.integer,REF(61).value.integer))
     goto ch_depletion;
/* imod 6 6 =(16777216) */
  if (!chf_imod(DEF(6),REF(6).value.integer,16777216)) goto ch_depletion;
/* imod 5 5 =(16777216) */
  if (!chf_imod(DEF(5),REF(5).value.integer,16777216)) goto ch_depletion;
/* isubtract 47 47 =(1) */
  if (!chf_isubtract(DEF(47),REF(47).value.integer,1)) goto ch_depletion;
/* branch , 291 */
   goto c291;
c310:
/* icvt_real 62 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(62).value.real = ch_real;
  REF(62).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* icvt_real 63 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(63).value.real = ch_real;
  REF(63).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* icvt_real 64 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(64).value.real = ch_real;
  REF(64).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* rmultiply 65 54 64 */
  if (!chf_rmultiply(DEF(65),*REF(54).value.real,*REF(64).value.real))
     goto ch_depletion;
/* rmultiply 66 55 63 */
  if (!chf_rmultiply(DEF(66),*REF(55).value.real,*REF(63).value.real))
     goto ch_depletion;
/* rmultiply 67 56 62 */
  if (!chf_rmultiply(DEF(67),*REF(56).value.real,*REF(62).value.real))
     goto ch_depletion;
/* radd 68 66 67 */
  if (!chf_radd(DEF(68),*REF(66).value.real,*REF(67).value.real))
     goto ch_depletion;
/* radd 69 65 68 */
  if (!chf_radd(DEF(69),*REF(65).value.real,*REF(68).value.real))
     goto ch_depletion;
/* rdivide 70 69 =(1.67772e+07) */
  if (!chf_rdivide(DEF(70),*REF(69).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 5 70 */
  if (*REF(70).value.real >= (MAXINT+1.0) || *REF(70).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(5).value.integer = *REF(70).value.real;
  REF(5).tsdr = & dr_integer;
/* rmultiply 71 54 63 */
  if (!chf_rmultiply(DEF(71),*REF(54).value.real,*REF(63).value.real))
     goto ch_depletion;
/* rmultiply 72 55 62 */
  if (!chf_rmultiply(DEF(72),*REF(55).value.real,*REF(62).value.real))
     goto ch_depletion;
/* radd 73 71 72 */
  if (!chf_radd(DEF(73),*REF(71).value.real,*REF(72).value.real))
     goto ch_depletion;
/* icvt_real 74 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(74).value.real = ch_real;
  REF(74).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* radd 75 73 74 */
  if (!chf_radd(DEF(75),*REF(73).value.real,*REF(74).value.real))
     goto ch_depletion;
/* rdivide 76 75 =(1.67772e+07) */
  if (!chf_rdivide(DEF(76),*REF(75).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 6 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(6).value.integer = *REF(76).value.real;
  REF(6).tsdr = & dr_integer;
/* icvt_real 77 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(77).value.real = ch_real;
  REF(77).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* rsubtract 78 76 77 */
  if (!chf_rsubtract(DEF(78),*REF(76).value.real,*REF(77).value.real))
     goto ch_depletion;
/* rmultiply 79 78 =(1.67772e+07) */
  if (!chf_rmultiply(DEF(79),*REF(78).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 5 79 */
  if (*REF(79).value.real >= (MAXINT+1.0) || *REF(79).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(5).value.integer = *REF(79).value.real;
  REF(5).tsdr = & dr_integer;
/* rmultiply 80 54 62 */
  if (!chf_rmultiply(DEF(80),*REF(54).value.real,*REF(62).value.real))
     goto ch_depletion;
/* icvt_real 81 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(81).value.real = ch_real;
  REF(81).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* radd 82 80 81 */
  if (!chf_radd(DEF(82),*REF(80).value.real,*REF(81).value.real))
     goto ch_depletion;
/* rdivide 76 82 =(1.67772e+07) */
  if (!chf_rdivide(DEF(76),*REF(82).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 7 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(7).value.integer = *REF(76).value.real;
  REF(7).tsdr = & dr_integer;
/* icvt_real 83 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(83).value.real = ch_real;
  REF(83).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* rsubtract 84 76 83 */
  if (!chf_rsubtract(DEF(84),*REF(76).value.real,*REF(83).value.real))
     goto ch_depletion;
/* rmultiply 85 84 =(1.67772e+07) */
  if (!chf_rmultiply(DEF(85),*REF(84).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 6 85 */
  if (*REF(85).value.real >= (MAXINT+1.0) || *REF(85).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(6).value.integer = *REF(85).value.real;
  REF(6).tsdr = & dr_integer;
/* iadd 47 47 52 */
  if (!chf_iadd(DEF(47),REF(47).value.integer,REF(52).value.integer))
     goto ch_depletion;
c352:
/* idivide 9 9 =(2) */
  REF(9).value.integer = REF(9).value.integer/2;
  REF(9).tsdr = & dr_integer;
/* equal . 9 =(0) , 280 */
  if ( REF(9).value.integer == 0 ) goto c280;
/* copy 86 55 */
  if((ch_returncode = cp_real(& ch_val, REF(55).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 87 55 86 */
  if (!chf_rmultiply(DEF(87),*REF(55).value.real,*REF(86).value.real))
     goto ch_depletion;
/* rmultiply 88 54 56 */
  if (!chf_rmultiply(DEF(88),*REF(54).value.real,*REF(56).value.real))
     goto ch_depletion;
/* rmultiply 89 =(2.0) 88 */
  if (!chf_rmultiply(DEF(89),2.0,*REF(88).value.real)) goto ch_depletion;
/* radd 90 87 89 */
  if (!chf_radd(DEF(90),*REF(87).value.real,*REF(89).value.real))
     goto ch_depletion;
/* rdivide 91 90 =(1.67772e+07) */
  if (!chf_rdivide(DEF(91),*REF(90).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 51 91 */
  if (*REF(91).value.real >= (MAXINT+1.0) || *REF(91).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(51).value.integer = *REF(91).value.real;
  REF(51).tsdr = & dr_integer;
/* rmultiply 92 54 55 */
  if (!chf_rmultiply(DEF(92),*REF(54).value.real,*REF(55).value.real))
     goto ch_depletion;
/* rmultiply 93 =(2.0) 92 */
  if (!chf_rmultiply(DEF(93),2.0,*REF(92).value.real)) goto ch_depletion;
/* icvt_real 94 51 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(94).value.real = ch_real;
  REF(94).tsdr = & dr_real;*ch_real = REF(51).value.integer;
/* radd 95 93 94 */
  if (!chf_radd(DEF(95),*REF(93).value.real,*REF(94).value.real))
     goto ch_depletion;
/* rdivide 76 95 =(1.67772e+07) */
  if (!chf_rdivide(DEF(76),*REF(95).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 50 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(50).value.integer = *REF(76).value.real;
  REF(50).tsdr = & dr_integer;
/* icvt_real 96 50 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(96).value.real = ch_real;
  REF(96).tsdr = & dr_real;*ch_real = REF(50).value.integer;
/* rsubtract 97 76 96 */
  if (!chf_rsubtract(DEF(97),*REF(76).value.real,*REF(96).value.real))
     goto ch_depletion;
/* rmultiply 98 97 =(1.67772e+07) */
  if (!chf_rmultiply(DEF(98),*REF(97).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 51 98 */
  if (*REF(98).value.real >= (MAXINT+1.0) || *REF(98).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(51).value.integer = *REF(98).value.real;
  REF(51).tsdr = & dr_integer;
/* copy 86 54 */
  if((ch_returncode = cp_real(& ch_val, REF(54).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 99 86 54 */
  if (!chf_rmultiply(DEF(99),*REF(86).value.real,*REF(54).value.real))
     goto ch_depletion;
/* icvt_real 100 50 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(100).value.real = ch_real;
  REF(100).tsdr = & dr_real;*ch_real = REF(50).value.integer;
/* radd 101 99 100 */
  if (!chf_radd(DEF(101),*REF(99).value.real,*REF(100).value.real))
     goto ch_depletion;
/* rdivide 76 101 =(1.67772e+07) */
  if (!chf_rdivide(DEF(76),*REF(101).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 49 76 */
  if (*REF(76).value.real >= (MAXINT+1.0) || *REF(76).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(49).value.integer = *REF(76).value.real;
  REF(49).tsdr = & dr_integer;
/* icvt_real 102 49 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(102).value.real = ch_real;
  REF(102).tsdr = & dr_real;*ch_real = REF(49).value.integer;
/* rsubtract 103 76 102 */
  if (!chf_rsubtract(DEF(103),*REF(76).value.real,*REF(102).value.real))
     goto ch_depletion;
/* rmultiply 104 103 =(1.67772e+07) */
  if (!chf_rmultiply(DEF(104),*REF(103).value.real,1.67772e+07))
     goto ch_depletion;
/* rcvt_int 50 104 */
  if (*REF(104).value.real >= (MAXINT+1.0) || *REF(104).value.real
     <= (MININT-1.0)) goto ch_range_error;
  REF(50).value.integer = *REF(104).value.real;
  REF(50).tsdr = & dr_integer;
/* imultiply 52 =(2) 52 */
  if (!chf_imultiply(DEF(52),2,REF(52).value.integer)) goto ch_depletion;
/* ige . 49 53 , 280 */
  if ( REF(49).value.integer >= REF(53).value.integer ) goto c280;
/* imultiply 51 =(2) 51 */
  if (!chf_imultiply(DEF(51),2,REF(51).value.integer)) goto ch_depletion;
/* imultiply 105 =(2) 50 */
  if (!chf_imultiply(DEF(105),2,REF(50).value.integer)) goto ch_depletion;
/* idivide 106 51 =(16777216) */
  REF(106).value.integer = REF(51).value.integer/16777216;
  REF(106).tsdr = & dr_integer;
/* iadd 50 105 106 */
  if (!chf_iadd(DEF(50),REF(105).value.integer,REF(106).value.integer))
     goto ch_depletion;
/* imultiply 107 =(2) 49 */
  if (!chf_imultiply(DEF(107),2,REF(49).value.integer)) goto ch_depletion;
/* idivide 108 50 =(16777216) */
  REF(108).value.integer = REF(50).value.integer/16777216;
  REF(108).tsdr = & dr_integer;
/* iadd 49 107 108 */
  if (!chf_iadd(DEF(49),REF(107).value.integer,REF(108).value.integer))
     goto ch_depletion;
/* imod 50 50 =(16777216) */
  if (!chf_imod(DEF(50),REF(50).value.integer,16777216)) goto ch_depletion;
/* imod 51 51 =(16777216) */
  if (!chf_imod(DEF(51),REF(51).value.integer,16777216)) goto ch_depletion;
/* isubtract 52 52 =(1) */
  if (!chf_isubtract(DEF(52),REF(52).value.integer,1)) goto ch_depletion;
/* branch , 280 */
   goto c280;
c411:
/* rlit 109 , 2.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(109).value.real = ch_real;
  REF(109).tsdr = & dr_real;*ch_real = 2.0;
/* rlit 110 , 16.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(110).value.real = ch_real;
  REF(110).tsdr = & dr_real;*ch_real = 16.0;
/* ige . 47 =(0) , 426 */
  if ( REF(47).value.integer >= 0 ) goto c426;
/* inegate 47 47 */
  REF(47).value.integer = -REF(47).value.integer;
  REF(47).tsdr = & dr_integer;
/* rdivide 110 =(1.0) 110 */
  if (*REF(110).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(110),1.0,*REF(110).value.real)) goto ch_depletion;
/* rdivide 109 =(1.0) 109 */
  if (*REF(109).value.real == 0) goto ch_dividebyzero;
  if (!chf_rdivide(DEF(109),1.0,*REF(109).value.real)) goto ch_depletion;
c426:
/* noop */
  
/* imod 111 47 =(4) */
  if (!chf_imod(DEF(111),REF(47).value.integer,4)) goto ch_depletion;
/* equal . 111 =(3) , 436 */
  if ( REF(111).value.integer == 3 ) goto c436;
/* equal . 111 =(2) , 441 */
  if ( REF(111).value.integer == 2 ) goto c441;
/* equal . 111 =(0) , 445 */
  if ( REF(111).value.integer == 0 ) goto c445;
/* branch , 448 */
   goto c448;
c436:
/* copy 86 109 */
  if((ch_returncode = cp_real(& ch_val, REF(109).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 112 86 109 */
  if (!chf_rmultiply(DEF(112),*REF(86).value.real,*REF(109).value.real))
     goto ch_depletion;
/* rmultiply 109 112 109 */
  if (!chf_rmultiply(DEF(109),*REF(112).value.real,*REF(109).value.real))
     goto ch_depletion;
/* branch , 448 */
   goto c448;
c441:
/* copy 86 109 */
  if((ch_returncode = cp_real(& ch_val, REF(109).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 109 86 109 */
  if (!chf_rmultiply(DEF(109),*REF(86).value.real,*REF(109).value.real))
     goto ch_depletion;
/* branch , 448 */
   goto c448;
c445:
/* rlit 109 , 1.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(109).value.real = ch_real;
  REF(109).tsdr = & dr_real;*ch_real = 1.0;
c448:
/* noop */
  
/* idivide 47 47 =(4) */
  REF(47).value.integer = REF(47).value.integer/4;
  REF(47).tsdr = & dr_integer;
/* icvt_real 113 7 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(113).value.real = ch_real;
  REF(113).tsdr = & dr_real;*ch_real = REF(7).value.integer;
/* rmultiply 114 =(1.67772e+07) 113 */
  if (!chf_rmultiply(DEF(114),1.67772e+07,*REF(113).value.real))
     goto ch_depletion;
/* icvt_real 115 6 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(115).value.real = ch_real;
  REF(115).tsdr = & dr_real;*ch_real = REF(6).value.integer;
/* radd 116 114 115 */
  if (!chf_radd(DEF(116),*REF(114).value.real,*REF(115).value.real))
     goto ch_depletion;
/* rmultiply 117 =(1.67772e+07) 116 */
  if (!chf_rmultiply(DEF(117),1.67772e+07,*REF(116).value.real))
     goto ch_depletion;
/* icvt_real 118 5 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(118).value.real = ch_real;
  REF(118).tsdr = & dr_real;*ch_real = REF(5).value.integer;
/* radd 119 117 118 */
  if (!chf_radd(DEF(119),*REF(117).value.real,*REF(118).value.real))
     goto ch_depletion;
/* rmultiply 76 12 119 */
  if (!chf_rmultiply(DEF(76),*REF(12).value.real,*REF(119).value.real))
     goto ch_depletion;
/* notequal . 47 =(0) , 465 */
  if ( REF(47).value.integer != 0 ) goto c465;
/* rmultiply 3.1 109 76 */
  if (!chf_rmultiply(DEF(3)DOT(1),*REF(109).value.real,*REF(76).value.real))
     goto ch_depletion;
/* branch , 481 */
   goto c481;
c465:
/* equal . 47 =(1) , 478 */
  if ( REF(47).value.integer == 1 ) goto c478;
/* imod 120 47 =(2) */
  if (!chf_imod(DEF(120),REF(47).value.integer,2)) goto ch_depletion;
/* notequal . 120 =(1) , 472 */
  if ( REF(120).value.integer != 1 ) goto c472;
/* rmultiply 109 109 110 */
  if (!chf_rmultiply(DEF(109),*REF(109).value.real,*REF(110).value.real))
     goto ch_depletion;
c472:
/* idivide 47 47 =(2) */
  REF(47).value.integer = REF(47).value.integer/2;
  REF(47).tsdr = & dr_integer;
/* copy 86 110 */
  if((ch_returncode = cp_real(& ch_val, REF(110).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_real;
/* rmultiply 110 86 110 */
  if (!chf_rmultiply(DEF(110),*REF(86).value.real,*REF(110).value.real))
     goto ch_depletion;
/* branch , 465 */
   goto c465;
c478:
/* rmultiply 121 76 110 */
  if (!chf_rmultiply(DEF(121),*REF(76).value.real,*REF(110).value.real))
     goto ch_depletion;
/* rmultiply 3.1 121 109 */
  if (!chf_rmultiply(DEF(3)DOT(1),*REF(121).value.real,*REF(109).value.real))
     goto ch_depletion;
c481:
/* endblock */
  che_endblock(sched);
/* branch , 484 */
   goto c484;
c483:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c484:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 491 */
   goto c491;
c487:
/* noop */
  
/* rlit 3.1 , 0.0 */
  if ((ch_real = (dfd_real *) new(dfd_real)) == nil) goto ch_depletion;
  REF(3)DOT(1).value.real = ch_real;
  REF(3)DOT(1).tsdr = & dr_real;*ch_real = 0.0;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c491:
/* endblock */
  che_endblock(sched);
c493:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
